Describe collection features
curl --request GET \
--url https://api.mixpeek.com/v1/collections/{collection_identifier}/features \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mixpeek.com/v1/collections/{collection_identifier}/features"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mixpeek.com/v1/collections/{collection_identifier}/features', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"features": [
{
"feature_address": "<string>",
"feature_extractor_name": "<string>",
"version": "<string>",
"vector_index": {
"description": "<string>",
"name": "intfloat__multilingual_e5_large_instruct",
"dimensions": 1024,
"distance": "cosine",
"datatype": "float32",
"on_disk": true,
"supported_inputs": [
"text",
"string"
],
"inference_name": "multilingual_e5_large_instruct_v1",
"inference_service_id": "intfloat/e5-large",
"purpose": "text",
"vector_name_override": "title_embedding",
"supports_multi_query": false
},
"primary": false
}
]
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}Collections
Describe collection features
List feature addresses and metadata available in this collection
GET
/
v1
/
collections
/
{collection_identifier}
/
features
Describe collection features
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID or name of the collection to describe
Response
Successful Response
Feature extractors and fields enabled on this collection
Show child attributes
Show child attributes
Was this page helpful?
⌘I

